Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.trans
Class DlpTransformer.AtomInfo

    java.lang.Object
      lp.trans.DlpTransformer.AtomInfo

Enclosing class:
  DlpTransformer

    private class DlpTransformer.AtomInfo

extends Object

A container for metadata about an atom's appearance in the input program. First it needs to be filled with information by calling the methods `addOccurence(boolean, int)`. Based on this data, it can formulate all default assumptions, propagation rejections and completeness constraints for the given atom.

Version:
  0.2
Author:
  Martin Slota
See Also:
  `DlpTransformer`

Field Summary
`private boolean` | `defaultNeeded`
`private LpAtom` | `forAtom`
`private IntArrayWrapper` | `negOccurences`
`private IntArrayWrapper` | `posOccurences`

Constructor Summary
`DlpTransformer.AtomInfo(LpAtom forAtom)`

Method Summary
`void` | `addOccurence(boolean positive, int level)`
`void` | `addRulesTo(TransformedDlp prog)`
`int` | `getMaxLeqThan(boolean positive, int level)`
`private LpRule` | `makeConstraint()`
`private LpRule` | `makeDefault()`
`private LpRule` | `makePropagationRejection(boolean positive, int fromLevel, int toLevel)`
`void` | `setDefaultNeeded()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### forAtom

    private final LpAtom forAtom

### defaultNeeded

    private boolean defaultNeeded

### posOccurences

    private final IntArrayWrapper posOccurences

### negOccurences

    private final IntArrayWrapper negOccurences

Constructor Detail

### DlpTransformer.AtomInfo

    public DlpTransformer.AtomInfo(LpAtom forAtom)

Method Detail

### setDefaultNeeded

    public void setDefaultNeeded()

### getMaxLeqThan

    public int getMaxLeqThan(boolean positive,
                             int level)

### addOccurence

    public void addOccurence(boolean positive,
                             int level)

### addRulesTo

    public void addRulesTo(TransformedDlp prog)

### makePropagationRejection

    private LpRule makePropagationRejection(boolean positive,
                                            int fromLevel,
                                            int toLevel)

### makeDefault

    private LpRule makeDefault()

### makeConstraint

    private LpRule makeConstraint()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD